RDKit: RDKit::MMFF::DefaultParameters Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Functions
RDKit::MMFF::DefaultParameters Namespace Reference

## Functions
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFPropCollection * | getMMFFProp ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFAromCollection * | getMMFFArom ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFDefCollection * | getMMFFDef ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFHerschbachLaurieCollection * | getMMFFHerschbachLaurie ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFPBCICollection * | getMMFFPBCI ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFAngleCollection * | getMMFFAngle ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFStbnCollection * | getMMFFStbn ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFDfsbCollection * | getMMFFDfsb ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFTorCollection * | getMMFFTor (const bool isMMFFs)
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFOopCollection * | getMMFFOop (const bool isMMFFs)
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFVdWCollection * | getMMFFVdW ()

## Function Documentation

## ◆ getMMFFAngle()

RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFAngleCollection * RDKit::MMFF::DefaultParameters::getMMFFAngle | ( |  | ) |

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ getMMFFArom()

RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFAromCollection * RDKit::MMFF::DefaultParameters::getMMFFArom | ( |  | ) |

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ getMMFFDef()

RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFDefCollection * RDKit::MMFF::DefaultParameters::getMMFFDef | ( |  | ) |

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ getMMFFDfsb()

RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFDfsbCollection * RDKit::MMFF::DefaultParameters::getMMFFDfsb | ( |  | ) |

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ getMMFFHerschbachLaurie()

RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFHerschbachLaurieCollection * RDKit::MMFF::DefaultParameters::getMMFFHerschbachLaurie | ( |  | ) |

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ getMMFFOop()

RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFOopCollection * RDKit::MMFF::DefaultParameters::getMMFFOop | ( | const bool | isMMFFs | ) |

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ getMMFFPBCI()

RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFPBCICollection * RDKit::MMFF::DefaultParameters::getMMFFPBCI | ( |  | ) |

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ getMMFFProp()

RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFPropCollection * RDKit::MMFF::DefaultParameters::getMMFFProp | ( |  | ) |

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ getMMFFStbn()

RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFStbnCollection * RDKit::MMFF::DefaultParameters::getMMFFStbn | ( |  | ) |

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ getMMFFTor()

RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFTorCollection * RDKit::MMFF::DefaultParameters::getMMFFTor | ( | const bool | isMMFFs | ) |

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## ◆ getMMFFVdW()

RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFVdWCollection * RDKit::MMFF::DefaultParameters::getMMFFVdW | ( |  | ) |